lfnetwork.com mark read register faq members calendar

Thread: easy way to switch b/w 1.03 and 1.04???
Thread Tools Display Modes
Post a new thread. Add a reply to this thread. Indicate all threads in this forum as read. Subscribe to this forum. RSS feed: this forum RSS feed: all forums
Old 09-19-2004, 12:54 AM   #1
mr2turbo
 
Join Date: Jun 2003
Posts: 28
easy way to switch b/w 1.03 and 1.04???

I have 1.04 patch installed. while looking through the server list i noticed tfj (or something like that) clan server - 1.03. sure enuf i entered and it was a 1.03 server will all the lovely pull/bs glory and all. well since 1.04 has turned into a nf noobfest and/or ultra cocky high regen FFers that posses about 1/3 the skill level of the old school FFers...it was kinda fun going back to 1.03 for a change.

Anyway (sry for the rant =) I asked the guy in there how I was able to see his server and he said it was easy...they just removed the assets5 on thier host server and thats how i was able to play on it. then he told me he had something called "patch commander" that enabled him to easily switch between 1.03 and 1.04.

so i searched on google and found this -- http://www.jediknight.net/commander/ -- but it seemed to be for jedi knight and not jedi outcast...i tried to run it and it said it couldnt find the game blah blah. i also searched these forums and didn't find anything worthwhile....anyone know anything more about this program or issue in general? I would love to be able to switch b/w 1.03 and 1.04 on the fly. thanks in advance.
mr2turbo is offline   you may: quote & reply,
Old 09-19-2004, 08:55 AM   #2
TK-8252
Get Cloned.
 
TK-8252's Avatar
 
Join Date: Aug 2003
Posts: 5,850
Only way to do that is to reinstall, then install the patch you want. You can't go back and forth from patches very easily.
TK-8252 is offline   you may: quote & reply,
Old 09-19-2004, 12:24 PM   #3
Samuel Dravis
 
Samuel Dravis's Avatar
 
Join Date: May 2002
Posts: 4,973
You could find out what files are changed/added in 1.04 from 1.03 and create a separate folder for each one. Then just make a batch file to copy/delete correct files whenever you want to play the game.


"Words are deeds." - Wittgenstein
Samuel Dravis is offline   you may: quote & reply,
Old 09-19-2004, 06:55 PM   #4
Amidala from Chop Shop
Politically-correct jerk
 
Join Date: Mar 2003
Location: In exile
Posts: 1,433
Just make a Copy of GameData folder with all the files in it. Remove assets5.pk3 from the base folder of Copy of GameData. That will be the directory for 1.03. Make a shortcut to jk2mp.exe in Copy of GameData. That will launch 1.03 multiplayer.

For Jedi Academy I have 3 copies of GameData: one for 1.00, one for 1.01 single-player (with no custom maps and stuff that makes single-player not work), and one for 1.01 multiplayer.

Amidala from Chop Shop is offline   you may: quote & reply,
Old 09-21-2004, 07:36 AM   #5
mr2turbo
 
Join Date: Jun 2003
Posts: 28
Ok well i tried that -- sort of. I just removed assets5.pk3 from my base folder, restarted the jk2mp.exe and when I create a server its definitely 1.03. however, when I go to the server list it still shows 1.04 servers and from what I could tell..hardly any 1.03 servers. and half the time i would join a server it would boot me out and give me a bunch of pixel shader errors and stuff. so i don't think removing assets5 is all it takes to convert it back to 1.03? ah, i'm so confused now. any other ideas/help would be appreciated.
mr2turbo is offline   you may: quote & reply,
Old 09-22-2004, 03:23 AM   #6
Kurgan
Headhunter
 
Kurgan's Avatar
 
Join Date: Nov 1997
Location: The Dawn of Time
Posts: 18,319
LFN Staff Member 10 year veteran! 
Try searching for "patch rollback."

But, ultimately, the developers of the game want you to use the latest version.


Download JK2 maps for JA Server|BOOT CAMP!|Strategic Academy|
(JA Server: 108.178.55.189:29070)


"The Concussion Rifle is the weapon of a Jedi Knight Player, an elegant weapon, from a more civilized community." - Kyle Katarn
Kurgan is offline   you may: quote & reply,
Old 09-22-2004, 07:04 PM   #7
acdcfanbill
..the wonders I have seen
 
acdcfanbill's Avatar
 
Status: Super Moderator
Join Date: Jun 2001
Location: Random Hell Wholes around the
Posts: 5,697
Imperialist Meatbags Guild Member The Walking Carpets Guild Member LFN Staff Member 10 year veteran! 
i have no idea where they are, but i do know they exist, i have one for JA, its quite handy to view a demo u recorded in a different version, since demos wont work between versions.

acdcfanbill is offline   you may: quote & reply,
Old 09-22-2004, 10:00 PM   #8
Amidala from Chop Shop
Politically-correct jerk
 
Join Date: Mar 2003
Location: In exile
Posts: 1,433
It depends on how old your JK2 disks are. The oldest ones have 1.02, and I think the newest ones have 1.04. If you have 1.02 disks, uninstall all versions of JK2 and restart your computer. Then install JK2 and you will have 1.02. Make two copies of your GameData folders.

Patch one of the GameData folders with the 1.03 patch http://jediknight2.filefront.com/fil...Patch_103;2601
and rename it GameData_1.03

and patch one of the other GameData folders with the 1.04 patch
http://jediknight2.filefront.com/fil...Patch_104;3825
and rename it GameData_1.04

Then you should have three GameData directories: one with 1.02, one with 1.03, and one with 1.04. Make shortcuts to the jk2mp.exe files in each GameData folder to launch a particular version.

Amidala from Chop Shop is offline   you may: quote & reply,
Old 09-24-2004, 03:49 PM   #9
mr2turbo
 
Join Date: Jun 2003
Posts: 28
Post

i finally found it at jediknightii.net. It's called AOJ Patch Commander. It does exactly what I was talking about. Has 3 seperate .bat files that copy/remove the specific files from your gamedata folder to correspond to whatever version you want. it doesn't seem to work too good though lol. I was able to get into 1.02 servers fine but none of my .cfg files work because lowercase binds don't work in 1.02 -- no big deal, just have to edit all my .cfgs and add capital letters. 1.03 i was only able to get into a couple of servers. i kept getting 2 different errors when trying to access servers - CL_ParsePacketEntities; end of message and Found Client version 6, Expected 7, or something similar to those. Anyone know why this could be? 1.04 worked fine but for some reason the icons got distorted (i.e. the saber/no force icons on the server list, and the chat icon above a players head while chatting). They look like greyed out squares now for some reason. I'm gonna play with it and see if i can get it working just right. I might end up unintsalling and diong what you said amidala, but that creates an extra 1 Gig of memory just for jk2 . thanks for all your help guys.
mr2turbo is offline   you may: quote & reply,
Post a new thread. Add a reply to this thread. Indicate all threads in this forum as read. Subscribe to this forum. RSS feed: this forum RSS feed: all forums
Go Back   LucasForums > Network > JediKnight Series > Game Discussion > Jedi Outcast > easy way to switch b/w 1.03 and 1.04???

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -4. The time now is 10:20 PM.

LFNetwork, LLC ©2002-2011 - All rights reserved.
Powered by vBulletin®
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.